# Class Scene

Five 场景

#### Hierarchy

- Scene
  - Scene

- Defined in lib/five/core/scene.ts:25

##### Index

### Constructors

constructor

### Properties

needsRender

### Methods

add
remove
update

## Constructors

### constructor

- new Scene(): Scene

  #### Returns Scene

  Inherited from THREE.Scene.constructor

  - Defined in node_modules/three/src/scenes/Scene.d.ts:16

## Properties

### needsRender

needsRender: boolean = false

- Defined in lib/five/core/scene.ts:27

## Methods

### add

- add(...objects: AddableObject[]): Scene

  Adds object as child of this object.

  #### Parameters

  - ...objects: AddableObject[]

  #### Returns Scene

  Overrides THREE.Scene.add

  - Defined in lib/five/core/scene.ts:29

### remove

- remove(...objects: AddableObject[]): Scene

  Removes object as child of this object.

  #### Parameters

  - ...objects: AddableObject[]

  #### Returns Scene

  Overrides THREE.Scene.remove

  - Defined in lib/five/core/scene.ts:33

### update

- update(renderer: WebGLRenderer, camera: Camera): boolean

  #### Parameters

  - renderer: WebGLRenderer
  - camera: Camera

  #### Returns boolean

  - Defined in lib/five/core/scene.ts:37